# 永天开发团队文档中心 

# 团队成员联系方式

| 现团队成员 |             |                     |            |
| ---------- | ----------- | ------------------- | ---------- |
| 人员       | 电话        | 微信号              | 岗位       |
| 王哲       | 16621197124 | ruoyu7124           | 产品       |
| 韩正义     | 15122423833 | HZY19950212         | 后端       |
| 王涛       | 13127578837 | flight_wt           | 前端       |
| 张婷       | 18827277292 | zt525258661         | UI设计     |
| 詹叶俊     | 13817141383 | wxid_aelu2xnwqghf21 | 后端       |
| 方惠圣     | 15575941817 | fang1813914505      | 前端       |
| 赵金雨     | 15638838328 | zjy1614271464       | 后端       |
| 付宇川     | 13576528709 | Who-dares_wins      | 后端       |
| 郭恩洲     | 17717355687 | mrguo_2010.         | 管理，架构 |
| 周琪       | 13411463620 | O__--------__O      | 后端       |



| 历史贡献成员 |             |              |      |
| ------------ | ----------- | ------------ | ---- |
| 人员         | 电话        | 微信号       | 岗位 |
| 杨强         | 18835187483 | YQ2429759623 | 后端 |
| 吉超博       | 17621295894 | b987253232   | 后端 |
| 袁明明       | 13262908435 | Julia-YuanM  | 前端 |
| 薛羽         | 13835969717 | gddlzyxy9527 | 测试 |
| 陆文佳       | 19121036221 | Grant-J      | 测试 |



# 常用工具

| 名称         | 地址                                     | 备注 |
| ------------ | ---------------------------------------- | ---- |
| GIT 仓库     | http://47.111.81.118:3000/               |      |
| mqtt服务     | http://47.98.201.73:18083/               |      |
| 原型设计工具 | https://lanhuapp.com/                    |      |
| 跳板机       | https://gateway.usky.cn/core/auth/login/ |      |
|              |                                          |      |

| 名称             | 地址                                                   | 备注 |
| ---------------- | ------------------------------------------------------ | ---- |
| 服务注册中心系统 | http://manager.usky.cn:8848/nacos                      |      |
| API文档系统      | https://manager.usky.cn/prod-api/swagger-ui/index.html |      |
| 服务监控系统     | http://manager.usky.cn:9100                            |      |
| 持续集成发布系统 | http://192.168.10.69:8080/login                        |      |
| Nexus maven私服  | http://101.133.214.75:8081/                            |      |
|                  |                                                        |      |

# 业务平台

| 项目     | 归属平台 | 地址                                                         | 负责人        | 用户手册                             | 开发手册 | 部署地址 | 部署模式 | 源码地址                                                     |
| -------- | -------- | ------------------------------------------------------------ | ------------- | ------------------------------------ | -------- | -------- | -------- | ------------------------------------------------------------ |
|          | 智慧消防 | https://aiot.usky.cn:8443/YtIoT/      ypywtg ypywtg123       | 韩正义,吉超博 | 永天智慧消防物联网软件功能说明书.doc |          |          | 共有部署 | - 后端：http://47.111.81.118:3000/lixinru/YtIoT.git     -前端： |
|          |          |                                                              |               |                                      |          |          |          |                                                              |
| 伍继电力 | 智慧电力 | https://pcdev.ewoogi.com/adminfiv/#/  admin   admin123       | 韩正义,吉超博 |                                      |          |          | 共有部署 | http://172.16.120.227:10080/jichaobo/fiveep.git              |
| 山东党校 | 智慧园区 | 向日葵访问：711018653   验证码：6789项目地址：http://10.108.34.2:80/sdpart | 杨强          |                                      |          |          | 私有部署 | http://47.111.81.118:3000/SD/SDPartySchool.git -             |
| 东信园区 | 智慧园区 | https://smartpark.caih.com/vuedx/#/login.  admin. admin123。餐饮系统  https://smartpark.caih.com/deviceManager  设备设施系统 | 杨强          |                                      |          |          | 私有部署 | http://47.111.81.118:3000/yq/dm.git  -前端：http://47.111.81.118:wangtao/SD-party-school-separate.git 东信综合安防   http://47.111.81.118:wangtao/yongtian-ui.git  东信充值  http://47.111.81.118:wangtao/deviceManager.git 东信设备设施 |
| 闵行     | 智慧政务 | 测试地址：http://101.133.214.75:81/vmh/                      | 杨强          |                                      |          |          | 私有部署 | http://47.111.81.118:3000/yq/mhfire.git.  -前端：http://47.111.81.118:wangtao/fire-mh1920-1080.git |







## 文档中心安装使用

1. 下载docker image  docker pull fellah/gitbook
1. 进入项目根目录下，运行gitbook容器命令
  ```
   docker rm gitbook
  ```

  ```
    docker run --name gitbook \
    -p 4000:4000  \
    -v $(pwd):/srv/gitbook \
    -v $(pwd)/.html:/srv/html \
    fellah/gitbook
  ```
说明
- /srv/gitbook 是gitbook工作目录，用来存放源文件，映射到了本地的/home/woods/gitbook/gitbook
- /srv/html 是构建后的html文件，可在WEB服务中查看，映射到了本地的/home/woods/gitbook/html
- 请确保本地的gitbook目录中包含至少README.md和SUMMARY.md两个文件
1. 访问：http://localhost:4000/

1. 重新构建命令
```
docker exec gitbook gitbook build . /srv/html
```



## 自动生成SUMMARY

[imfly](https://github.com/imfly)/**gitbook-summary**

github地址：https://github.com/imfly/gitbook-summary

安装

```css
npm install -g gitbook-summary
```

简单使用：

```bash
cd /path/to/your/book/



book sm
```

