## 请求对象

发送一个请求对象至服务端代表一个rpc调用， 一个请求对象包含下列成员：

**jsonrpc**

> 指定JSON-RPC协议版本的字符串，必须准确写为“2.0”

**method**

> 包含所要调用方法名称的字符串，以rpc开头的方法名，用英文句号（U+002E or ASCII 46）连接的为预留给rpc内部的方法名及扩展名，且不能在其他地方使用。

**params**

> 调用方法所需要的结构化参数值，该成员参数可以被省略。

**id**

> 已建立客户端的唯一标识id，值必须包含一个字符串、数值或NULL空值。可以是一个时间戳



```
{"jsonrpc": "2.0",
	"method": "subtract",
	"params": {"subtrahend": 23, "minuend": 42}, 
	"id": 3
}
```

