## 多租户的使用文档
### 项目中加入依赖
    <dependency>
                <groupId>com.usky</groupId>
                <artifactId>usky-common-tenant</artifactId>
                <version>0.0.1</version>
            </dependency>

### 配置文件
spring:

​	tenant:
  		enable: true //是否开启多租户
  		ignore-tables: //需要进行过滤的多租户的表
  - ​      -test   
### 实体类和数据库
* 对应的表添加tenant_id字段  
### 租户上下文
* TenantContextHolder,可以从里面获取对应的租户编号
* 可以获取是否是忽略多租户的请求

### 技术架构
* 基于mybatisplus实现的多租户

### web对接
* 需要在header头中添加key = tenant_id,value = 租户编号


### 备注
* 对于有些表，它配置的是需要进行租户过滤
    1. 会存在以下接口，该接口需要获取全部数据(不进行租户过滤)
    2. 再对应的接口添加@TenantIgnore注解来进行实现





​    