

# 背景

当前东信项目缺失中控平台架构和中控平台管理，以最小时间成本和长远角度出发设计中控平台管理。



## 当前现状

- 各个子系统系统资源独立管理

- 各个子系统场景流程自身管理配置，缺少集中地方维护

- 各个子系统独立对外，没有网关统一进行控制转发

  
# 设计目标

  - 满足系统资源管理，场景流程管理，接口资源管理，接口转发控制

  

# 架构



```mermaid
graph BR
n1[中控服务&网关]
n2[用户]
n3[中控管理Web]
n4((系统资源管理))
n5((场景流程管理))
n6((子系统A))
n7((子系统B))
n8((子系统C))
n9((接口资源管理))
n1 -..- n3

subgraph 中控服务管理
n3 --> n4
n3 --> n5
n3 --> n9
end

subgraph 中控服务集群
n2 --> n1
n1 --> n6
n1 --> n7
n1 --> n8
end




```





## 功能



##  中控服务&网关实现

保证当前各个服务独立访问基础上，扩张增加一个中控网关服务，两者兼容运行，互不影响



## 中控平台WEB

### 系统资源管理

 提供一个中控系统管理模块和ERP联动同步，同时同步到各个子系统





 ### 场景流程管理

方案一：针对性开发配置资源，在各个子系统中实现，中控web页面提供维护

方案二： 设计一套流程引擎



### 接口资源管理

提供各个子系统的接口维护管理，可以启动，禁用接口

各个子系统提供接口资源列表，有中控平台定时同步；





----------------

1.子系统管理

  子系统管理参数和服务路径不同

2.功能接口管理

  

