## 议题：永天电力SaaS平台



## 落实

问题：平台和菜单，租户和菜单

1.正义：梳理现有永天电力开发计划（业务功能清单，按照SaaS标准建设工作任务清单）

2.SaaS平台后台平台和菜单，租户和菜单 调整一下（原型）

4. 详细功能分析

  3.1 永天电力SaaS平台试验田启动

​     （开发计划，功能需求，可预期的目标效果）

  3.2 东信园区大屏标准产品化讨论

​      （功能需求，实现框架）

  3.3 关于IOT设备模型，GIS设施管理模型设计讨论；（CIM技术落地）

​    





   





-------------

一。系统配置

1. 系统常规配置

     主页logo，主页标题，是否有中间页

2. 域名配置

   域名，登录页标题, 登录页背景，登录页logo，登录页底部名称

  3.中间页面配置

​      中间页标题,中间页logo,中间页背景,中间页底部名称

2. 其它配置

   通过系统内定参数，配置，



二。平台管理

2.1.平台管理 增加平台菜单模版管理

2.2 平台菜单







多租户设计

```mermaid
graph LR

subgraph 实体关系
n1[租户]
n2[用户-租户管理员]
n3[租户菜单]
n4[菜单]
n5[平台]
n6[平台菜单]
n7(角色)
end

n1 -.1..n.-> n2
n1 -.1..n.-> n3
n3 -.n..1.- n4
n5 -.1..n.-> n6
n1 -.n..1.-> n5
n6 -.n..1.-> n4
n2 --> n7
n7 --> n4

a1([租户编号])
a2([租户名称])
a3([有效期限])
a4([租户类型])
a5([租户状态])
a6([用户类型])

a1 -..- n1
a2 -..- n1
a3 -..- n1
a4 -..- n1
a5 -..- n1


b1(类型-系统用户)
b2(类型-租户管理员)
n2 -..- a6
a6 --- b1
a6 ---- b2



```

系统管理

电力











# SaaS建设过程中一些坑

- 多个租户存在相同的账号名情况下怎么办？

  1. 密码保证不一样

  1. 独立域名

- 当一个设施的设备编号发生变更后，是否还能查询到之前数据？

   监控对象关联的设备号编号；



## 关于GIS设施管理需求

- 设施类型

 1.类型名称  2.确定地理模型：点，线，面，允许多选   3.扩展属性维护，不同类型属性不同（根据类型定义哪些扩展属性，不同属性定义不同控件，必选，非必选）  

- 设施采集

1.常规属性： 设施编号，设施名称，设施采集时间， 设施状态，（设施归属租户），设施地址， 设施地图经纬信息（点，线，面）

2.对于选择不同类型，展现出不同的设施扩展属性

- 设施设备绑定

  一个设施可以绑定维护多个设备

- 设施地图

   1.在地图上默认显示所有标记设施点，按照设施类型选择，定位

   2.点击某一个设施，能够查看到设施绑定设备最新的指标数据以及设备状态

   ![image-20220423132955716](/Users/admin/Library/Application Support/typora-user-images/image-20220423132955716.png)



  

![image-20220423133102149](/Users/admin/Library/Application Support/typora-user-images/image-20220423133102149.png)





---------------------------------

# 20220505

1.个人中心

2.通过域名获取登录配置参数接口

3.通过租户ID获取配置信息

4.中间页获取菜单列表

2.加入租户数据查询



4.租户，平台管理暂时不做；



## 20220504 

----------------------------------

1.数据看板灵活化配置

2.数据大屏

3.GIS设施云图--三维

4.中间页菜单



# 20220509

----------------

V0.1 永天电力SaaS平台

【落实】

1.租户管理相关测试数据，后台进行补充，测试  韩正义，郭恩洲

2.后端已经完成接口提供单元测试  超博

3.明明跟后端进行现有提供接口对接，走通测试流程  超博，袁明明

4.租户管理平台后台接口  5月10号完成

5.租户管理平台前端开发 5月11号完成



【测试流程】

1.以永天电力域名访问dianli.uskycloud.com，进入永天电力登录页面，根据域名获取登录系统参数 进行背景，标题渲染,

以永天电力租户管理员(usky_admin)登录，默认查看永天电力下所有菜单功能，进入主页创建系统账号（usky_test)，并分配角色权限

退出，利用（usky_test)登录，中间页显示对应分配权限菜单。



2.以伍继电力域名访问（fiveep.dianli.uskycloud.com),进入登录页面，根据域名获取登录系统参数 进行背景，标题渲染。 

以租户管理员账号（fiveep_admin)登录,默认查看伍继电力下所有菜单功能，进入主页系统管理创建系统账号（fiveep_test)，并分配角色权限

退出，利用（usky_test)登录，中间页显示对应分配权限菜单。



3.以永天电力租户管理员(usky_admin) 访问站点管理功能页面，查看数据为空，以伍继电力租户管理员(usky_admin) 访问站点管理功能页面，查看对应伍继电力数据



4.以永天电力管理平台(usky_manager)登录，只能显示租户管理菜单，进入主页对租户管理页面进行操作编辑，编辑永天电力系统的登录标题和背景页



差步骤：

1.明明根据域名获取登录配置系统参数，租户ID



2.登录

   token

   租户ID



3.业务功能 站点功能

3.http://101.133.214.75:13200/





- 







20200509 测试结果

-----

1.登录查询配置接口只获取登录相关配置

2.中间页配置只通过租户ID获取

3.geRouters 接口添加租户管理员和系统用户判断逻辑

4.用户配置角色错误；















