[toc]



**介绍：**

Scrum是一个敏捷开发框架，是一个增量的、迭代的开发过程。在这个框架中，整个开发周期包括若干个小的跌代周期，每个小的的跌代周期称为一个Sprint，每个Sprint周期目前团队固定为2周（共计10天) ，sprint backlog 周期划分为: 1天sprint计划会议， 6天开发时间，2天测试和bug修复，1天评审会议和回顾会议。

**1.sprint计划会议**

​	     在开sprint 计划会议前，产品经理必须所要实现的产品需求（产品Backlog）以用户故事的形式确定下来，并画好原型图，UI应该要出设计稿（在sprint 计划会议前出设计稿很重要，因为设计对估算时间影响非常大).产品经理同时确定各个产品需求的优先级。  开sprint 计划会议期间，开发团队的成员不应该做任何的开发工作，把全部精力都放在把产品需求变为一个个开发任务，并对开发任务估算时间，讨论确定这个版本涉及多少张页面开发，数据库表设计，接口表设计，主要流程图设计讨论

**2.日常开发**

 在每个Sprint backlog，后台和前端的交互都是通过api，所以由后台先写好相关的api并编写假数据，先让前端可以顺利开展工作。先编写api和假数据，有两个 好处：1. 能对整个开发计划有个总体的规范。2. 相当于是TDD（测试驱动开发）

**3.每日站立例会**

  在每天的例会前，每个团队成员应该更新自己的任务列表(工作量分配表），包括：

1. 昨天完成了哪些任务，每个任务使用了多少时间，没完成的任务估算还需要多少时间

2. 更新总的剩余开发时间 

 每个人在例会上说下面3方面的事情：

1. 昨天做了哪些工作。

2. 今天准备做哪些工作。

3. 有什么工作需要其他同事配合。 

    注意:

    a.站立会议

    避免在会议上讨论问题，如果真的需要讨论，请在会议后和同事讨论，不要浪费整个团队的时间,  这个会议主持人可以有项目组人员轮询组织;

**4. 测试和修bug**

   开发完成，就进入测试和修bug的阶段。如果人手不足，同一个功能前端和后端人员进行交叉测试方式.即前端人员测试后端功能，后端人员测试前端人员功能。也可以不同项目人员交叉测试

**5.sprint 评审会议**

​	一般是全体人员都参加，在测试和修bug后，主要演示完成成果，产品经理要提前做好演示准备，发现一些后期改进的问题，为了节约时间（评审会议和回顾会议可以合并到一起进行）

**6.sprint回顾会议**

  每个成员都要参加，每个成员都要提两点：0.工时 1. 在这轮sprint中值得表扬的点2. 在这轮 sprint中做得不好的地方； 这个过程走两轮，即每个成员都要说2次。

  注意，当一个成员提出自己的意见时，其它成员不作任何的批评。

**产品经理：**产品经理的职责就不光是画原型图了，而是给产品的模块分期，制定好优先级和功能是最重要的。产品经理要做的是证明自己的功能是合理的。

**小组Leader或者项目经理：**需要组织组内所有成员参与，如果整个公司实行敏捷开发，那就是组织各职能的Leader开需求评审会。

这个需求评审的目标是可以放到台面上并且执行下去的方案，如果这里还要继续讨论是否合理，那这个会就很糟。

项目经理应该负责整个项目的调控，比如人员成本，时间成本，项目是否延期，还是调整功能。

**开发组员：**除了日常开发，主要是当项目完工以后，应该交叉去做CodeReview，并且出性能测试报告，以及组织Demo。



![image-20220721155336875](/Users/admin/Library/Application Support/typora-user-images/image-20220721155336875.png)

![image-20220721155346953](/Users/admin/Library/Application Support/typora-user-images/image-20220721155346953.png)















