# USKTSDB

## 介绍
   随着loT、5G等技术的发展，工业物联网、智能家居、监控等行业对时序数据的需求呈现爆发式的增长,为了更好的支持时序数据的存储分析,USKTSDB 是一款基于mongodb开发存储服务，
   更好的支持时序数据的存储分析. 
## 特点
  - 高效的历史数据query组件
  - 单机支撑200万metric的上报、归档、存储

## 快速入门
#### 投递数据

- URL投递
```
curl --location --request POST 'http://127.0.0.1:10020/push' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "metrics": {
              "mileage": 1000,
              "speed": 12.4
          },
          "deviceId": "123456",
          "productId": "52e1a2798c0a4335855648decf24de5a",
          "timestamp": 1636456995855
      }'
```
- MQTT投递

//TODO

# 查询数据
```
curl --location --request POST 'http://127.0.0.1:10020/history' \
--header 'Content-Type: application/json' \
--data-raw '{
  "deviceId": "864016058862708",
  "startTime": 1657209883000,
  "endTime": 1657235083000,
  "fieldNames": ["WaterPL","battery","signal"],
  "limit": true
}'
```
