## 1.如何保证各个服务独立开发，在开发初期不经过网关，不需要注册中心？

- jeecg 将token权限验证交给了各个服务拦截器 org.jeecg.modules.shiro.authc.ShiroRealm, 验证获取token，虽然各个服务对redis有压力的，可以将redis形成集群模式去缓解

  ```
  ```
  
  方案：
  
  1.提供common-auth 会话验证解析jar包，只负责提供数据

## 2.如何保证独立开发时候URL 和经过API网关转发时URL一样？

-  如果通过网关访问都是要加上服务前缀的，jeecg 将各个controller的URI做了一个映射配置，才满足不用加服务前缀就可以路由到各个网关

```
- id: jeecg-cloud-system-biz
          uri: lb://jeecg-cloud-system-biz
          predicates:
          - Path=/sys/**,/test/**,/online/**,/api/**,/big/screen/**,/bigscreen/**,/webSocketApi/**,/message/**
          #限流配置
          filters:
          - name: RequestRateLimiter
            args:
              key-resolver: '#{@ipKeyResolver}'
              redis-rate-limiter.replenishRate: 10
              redis-rate-limiter.burstCapacity: 20
          #降级配置
          - name: Hystrix
            args:
              name: default
              fallbackUri: 'forward:/fallback'
```







